export default class Party {
	public Id:number;
	public PartyRef:string;
	public Name:string;
	public CreatedByUserId:number;
	public CreatedDatetime:Date;
	public LastModifiedByUserId?:number;
	public LastModifiedDatetime?:Date;
	public DeletedByUserId?:number;
	public DeletedDatetime?:Date;
	public IsDeleted:boolean;

	public constructor(id?:number, partyRef?:string, name?:string, createdByUserId?:number, createdDateTime?:Date, lastModifiedByUserId?:number, lastModifiedDatetime?:Date, deletedByUserId?:number, deletedDatetime?:Date, isDeleted?:boolean) {
		if (typeof(id) == "number" && typeof(partyRef) == "string" && typeof(name) == "string" && typeof(createdByUserId) == "number" && createdDateTime instanceof Date && typeof(lastModifiedByUserId) == "number" && lastModifiedDatetime instanceof Date && typeof(deletedByUserId) == "number" && deletedDatetime instanceof Date && typeof(isDeleted) == "boolean") {
			this.Id = id;
			this.PartyRef = partyRef;
			this.Name = name;
			this.CreatedByUserId = createdByUserId;
			this.CreatedDatetime = createdDateTime;
			this.LastModifiedByUserId = lastModifiedByUserId;
			this.LastModifiedDatetime = lastModifiedDatetime;
			this.DeletedByUserId = deletedByUserId;
			this.DeletedDatetime = deletedDatetime;
			this.IsDeleted = isDeleted;
		} else {
			this.Id = Number.MIN_VALUE;
			this.PartyRef = "";
			this.Name = "";
			this.CreatedByUserId = Number.MIN_VALUE;
			this.CreatedDatetime = new Date(0);
			this.IsDeleted = false;
		}
	}
}